import 'package:fcs/data/provider/fcs_shipment_data_provider.dart';
import 'package:fcs/domain/entities/connectivity.dart';
import 'package:fcs/domain/entities/fcs_shipment.dart';
import 'package:flutter/material.dart';

import 'fcs_shipment_service.dart';

class FcsShipmentServiceImp implements FcsShipmentService {
  FcsShipmentServiceImp({
    @required this.connectivity,
    @required this.shipmentDataProvider,
  });

  final Connectivity connectivity;
  final FcsShipmentDataProvider shipmentDataProvider;

  @override
  Future<void> createFcsShipment(FcsShipment fcsShipment) {
    return shipmentDataProvider.createFcsShipment(fcsShipment);
  }

  @override
  Future<void> updateFcsShipment(FcsShipment fcsShipment) {
    return shipmentDataProvider.updateFcsShipment(fcsShipment);
  }

  @override
  Future<void> deleteFcsShipment(FcsShipment fcsShipment) {
    return shipmentDataProvider.deleteFcsShipment(fcsShipment);
  }

  @override
  Future<void> ship(FcsShipment fcsShipment) {
    return shipmentDataProvider.ship(fcsShipment);
  }

  @override
  Future<String> report(FcsShipment fcsShipment) {
    return shipmentDataProvider.reportFcsShipment(fcsShipment);
  }
}
